Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda.event
Class JPDABreakpointEvent

    java.lang.Object
      java.util.EventObject
          org.netbeans.api.debugger.jpda.event.JPDABreakpointEvent

All Implemented Interfaces:
  Serializable

    public final class JPDABreakpointEvent

extends EventObject

JPDABreakpoint event notification.

See Also:
  Serialized Form

Field Summary
`static int` | `CONDITION_FAILED` Condition result constant.
`static int` | `CONDITION_FALSE` Condition result constant.
`static int` | `CONDITION_NONE` Condition result constant.
`static int` | `CONDITION_TRUE` Condition result constant.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`JPDABreakpointEvent(JPDABreakpoint sourceBreakpoint, JPDADebugger debugger, int conditionResult, JPDAThread thread, com.sun.jdi.ReferenceType referenceType, Variable variable)` Creates a new instance of JPDABreakpointEvent.
`JPDABreakpointEvent(JPDABreakpoint sourceBreakpoint, JPDADebugger debugger, Throwable conditionException, JPDAThread thread, com.sun.jdi.ReferenceType referenceType, Variable variable)` Creates a new instance of JPDABreakpointEvent.

Method Summary
`Throwable` | `getConditionException()` Returns result of condition evaluation.
`int` | `getConditionResult()` Returns result of condition evaluation.
`JPDADebugger` | `getDebugger()` Returns JPDADebugger instance this breakpoint has been reached in.
`com.sun.jdi.ReferenceType` | `getReferenceType()` Returns context class.
`boolean` | `getResume()` Returns resume value.
`JPDAThread` | `getThread()` Returns context thread - thread stopped on breakpoint.
`Variable` | `getVariable()` Returns context variable.
`void` | `resume()` Call this method to resume debugger after all events will be notified.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONDITION_NONE

    public static final int CONDITION_NONE

  Condition result constant.

  See Also:
    Constant Field Values

### CONDITION_TRUE

    public static final int CONDITION_TRUE

  Condition result constant.

  See Also:
    Constant Field Values

### CONDITION_FALSE

    public static final int CONDITION_FALSE

  Condition result constant.

  See Also:
    Constant Field Values

### CONDITION_FAILED

    public static final int CONDITION_FAILED

  Condition result constant.

  See Also:
    Constant Field Values

Constructor Detail

### JPDABreakpointEvent

    public JPDABreakpointEvent(JPDABreakpoint sourceBreakpoint,
                               JPDADebugger debugger,
                               int conditionResult,
                               JPDAThread thread,
                               com.sun.jdi.ReferenceType referenceType,
                               Variable variable)

  Creates a new instance of JPDABreakpointEvent. This method should be called from debuggerjpda module only. Do not create a new instances of this class!

  Parameters:
    `sourceBreakpoint` - a breakpoint
    `debugger` - a debugger this
    `conditionResult` - a result of condition
    `thread` - a context thread
    `referenceType` - a context class
    `variable` - a context variable

### JPDABreakpointEvent

    public JPDABreakpointEvent(JPDABreakpoint sourceBreakpoint,
                               JPDADebugger debugger,
                               Throwable conditionException,
                               JPDAThread thread,
                               com.sun.jdi.ReferenceType referenceType,
                               Variable variable)

  Creates a new instance of JPDABreakpointEvent.

  Parameters:
    `sourceBreakpoint` - a breakpoint
    `conditionException` - result of condition
    `thread` - a context thread
    `debugger` - a debugger this
    `referenceType` - a context class
    `variable` - a context variable

Method Detail

### getConditionResult

    public int getConditionResult()

  Returns result of condition evaluation.

  Returns:
    result of condition evaluation

### getConditionException

    public Throwable getConditionException()

  Returns result of condition evaluation.

  Returns:
    result of condition evaluation

### getThread

    public JPDAThread getThread()

  Returns context thread - thread stopped on breakpoint. This parameter is defined by class prepared breakpoint, exception breakpoint, field breakpoint, line breakpoint, method breakpoint and thread breakpoint.

  Returns:
    thread context

### getReferenceType

    public com.sun.jdi.ReferenceType getReferenceType()

  Returns context class. It means loaded class for class load breakpoint and exception class for exception breakpoint.

  Returns:
    context class

### getDebugger

    public JPDADebugger getDebugger()

  Returns JPDADebugger instance this breakpoint has been reached in.

  Returns:
    JPDADebugger instance this breakpoint has been reached in

### getVariable

    public Variable getVariable()

  Returns context variable. It contains new value for field modification breakpoint and instance of exception for exception breakpoint.

  Returns:
    context variable

### resume

    public void resume()

  Call this method to resume debugger after all events will be notified. You should not call JPDADebugger.resume () during breakpoint event evaluation!

### getResume

    public boolean getResume()

  Returns resume value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.